petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPFCGGetMmax

get the maximum number of previous directions FCG will store

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPFCGGetMmax(KSP ksp,PetscInt *mmax)

Note: FCG stores mmax+1 directions at most (mmax previous ones, and one current one) Many br

Not Collective Many br

### Input Parameter

ksp -the Krylov space context Many br

### Output Parameter

mmax -the maximum number of previous directons allowed for orthogonalization Many br

### Options Database

-ksp_fcg_mmax <N> - Many br Many br

### Keywords

KSP, FCG, truncation

### See Also

KSPFCG, KSPFCGGetTruncationType(), KSPFCGGetNprealloc(), KSPFCGSetMmax()

Level:intermediate
Location:src/ksp/ksp/impls/fcg/fcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages